
Summary:	SRCP based locking table for digital model railroads
Name:		spdrs60
Version:	0.6.4
Release:	1%{?dist}

License:	GPLv2
URL:		http://spdrs60.sourceforge.net/
Source:		http://sourceforge.net/projects/spdrs60/files/spdrs60/%{version}/spdrs60-%{version}.tar.bz2

BuildRequires:	docbook-style-dsssl
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qttools-devel
BuildRequires:	openjade

%description
Graphical program to comfortably control a digital model railroad.
Visual appearance and usage comply to the SpDr of the German national
railroad company. SpDrS60 needs a Simple Railroad Command Protocol
(SRCP) server (e.g. erddcd or srcpd) as a link to the physical layout
of the model.

%prep
%setup -q
for file in ./man/de/{centralclock,spdrs60}.* ./AUTHORS ./NEWS; do
	iconv -f latin1 -t utf8 < $file > $file.new
	mv -f $file.new $file
done

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang %{name} --with-man --all-name

install -Dpm 0644 spdrs60.redhat.desktop %{buildroot}/%{_datadir}/applications/spdrs60.desktop


%files -f %{name}.lang
%doc AUTHORS README TODO NEWS ChangeLog spdrs60.lsm
%docdir %{_docdir}/%{name}/html
%license COPYING
%{_bindir}/%{name}
%{_bindir}/centralclock
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*
%{_docdir}/%{name}/html
%{_mandir}/man1/*.1*


%changelog
* Fri Jul 24 2020 Denis Fateyev <denis@fateyev.com> - 0.6.4-1
- Initial Fedora RPM release
